# midmesg
**Mi**cro **dmesg** is a lighterweight alternative to dmesg.

## Dependencies
- **midmesg** should work perfectly fine on both musl libc and glibc.
- **midmesg** requires header files for your Linux kernel. 

Your Linux distribution should bundle them in a package named `linux-headers` or something similar to that.

## Installation
After you've cloned the Git repository, use these commands to compile and install **midmesg**.
```
make
doas make install
```

To uninstall **midmesg**, use `doas make uninstall`.

## Tasks
- find some way to retain logs

According to the [klogctl(3)](http://man.he.net/?topic=klogctl&sections=3) man page:

> Bytes read from the log disappear from the log buffer:

> the information can be read only once.

- use a built-in pager instead of printing logs to the terminal or hoping that `less` exists on the system
